Skip to content

Create metadata

POST
/v2/metadata

Create new metadata records for aggregates.

object
aggregates
required

Array of metadata aggregates to create

Array<object>
object
aggregateId
required

The aggregate ID for this metadata group

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
metadata
required

Array of metadata items for this aggregate

Array<object>
object
typeId
required

The type ID for this metadata item

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
value
required

The value of the metadata item (can be string, number, boolean, or array)

object
{
"value": "Sample metadata value"
}

Comma-separated list of created metadata IDs.

object
aggregates
required

Array of aggregates with their metadata

Array<object>
object
aggregateId
required

The aggregate ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
metadata
required

Array of metadata items for this aggregate

Array<object>
object
id
required

The query ID for the created metadata

string
82c4fce1-d2c7-48cb-a647-6993dbe37819
aggregateId
required

The aggregate ID for this metadata item

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
value
required

The value of the metadata

string
Sample value
key
required

The key of the metadata

string
82c4fce1-d2c7-48cb-a647-6993dbe37819
description
required

The description of the metadata

string
Sample description
displayName
required

The display name of the metadata

string
Sample display name
[
{
"aggregateId": "82c4fce1-d2c7-48cb-a647-6993dbe37819",
"metadata": [
{
"id": "987fcdeb-51a2-43d1-9f12-345678901234",
"aggregateId": "82c4fce1-d2c7-48cb-a647-6993dbe37819",
"value": "Some value",
"key": "user_preferences",
"description": "Stores user preferences",
"displayName": "User Preferences"
}
]
}
]

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error